----------------------------------------------------
--  COMS W4115 PLT - 2014 Spring Term Project
--              HL-HDL compiler
--             Woon Lee (wgl2107)
----------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use work.globals.all;
use work.lib_comp.all;

ENTITY test1_top is
port (
	clk : in  std_logic;
	sig0 : in  std_logic;
	sig1 : in  std_logic;
	clkout0 : out  std_logic;
	clkout1 : out  std_logic;
	anded : out  std_logic;
	ored : out  std_logic
);
end test1_top;

architecture RTL of test1_top is
begin
	clkout0 <= clk;
	clkout1 <= NOT clk;
	anded <= sig0 AND sig1;
	ored <= sig0 OR sig1;
end RTL;


