----------------------------------------------------
--  COMS W4115 PLT - 2014 Spring Term Project
--              HL-HDL compiler
--             Woon Lee (wgl2107)
----------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use work.globals.all;
use work.lib_comp.all;



ENTITY test6_top_tb is

end ENTITY test6_top_tb;

ARCHITECTURE behavioral of test6_top_tb is

COMPONENT test6_top is
port (
	clk : in  std_logic;
	rst : in  std_logic;
	csn : in  std_logic;
	oen : in  std_logic;
	wrn : in  std_logic;
	addr : in std_logic_vector(3 downto 0);
	data : inout std_logic_vector(7 downto 0)
);
end COMPONENT;

	signal clk :  std_logic;
	signal rst :  std_logic;
	signal csn :  std_logic;
	signal oen :  std_logic;
	signal wrn :  std_logic;
	signal addr : std_logic_vector(3 downto 0);
	signal data : std_logic_vector(7 downto 0);

begin

inst_test6_top : test6_top
	port map(
		clk => clk,
		rst => rst,
		csn => csn,
		oen => oen,
		wrn => wrn,
		addr => addr,
		data => data
	);



end;

